List tier structure assignments for a program
curl --request GET \
--url https://api.voucherify.io/v2/loyalties/programs/{id}/tier-structures \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"data": [
{
"tier_structure_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}
],
"cursor": {
"next": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"object": "<string>"
}List tier structure assignments for a program
⚠️ BETA endpoint
This is a work-in-progress documentation of a BETA endpoint. The parameters, fields, request and response bodies, and other data may subject to change. If you want to share feedback or improvements, contact Voucherify support or your Technical Account Manager.
Returns a cursor-paginated list of tier structure assignments for the specified program.
GET
/
v2
/
loyalties
/
programs
/
{id}
/
tier-structures
List tier structure assignments for a program
curl --request GET \
--url https://api.voucherify.io/v2/loyalties/programs/{id}/tier-structures \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"data": [
{
"tier_structure_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}
],
"cursor": {
"next": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"object": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique program identifier
Pattern:
^lprg_[a-f0-9]+$Query Parameters
Maximum number of results to return (1-100, default 10)
Required range:
1 <= x <= 100Sort order for tier structure assignments
Available options:
-created_at, created_at Cursor for pagination
Pattern:
^lcrstsa_[a-f0-9]+$Last modified on June 2, 2026
Was this page helpful?
⌘I

